<?php

echo $this->getLayout()
    ->createBlock('Magento\Cms\Block\Block')
    ->setBlockId('links')
    ->toHtml();

$categories = $this->helper('Magento\Catalog\Helper\Category')->getStoreCategories();

?>

<ul>
    <?php foreach ($categories as $category): ?>
        <li>
            <img src="<?php echo $category->getImageUrl(); ?>"/>
            <a href="<?php echo $category->getUrl(); ?>">
                <?php echo $category->getName(); ?>
            </a>
        </li>
    <?php endforeach; ?>
</ul>
